<?php
// Добавляем таблицу настроек доступа к системе сообщений, добавляем все группы в неё.
run_query("CREATE TABLE IF NOT EXISTS `" . $config['table_prefix'] . "acc_messages`
             (`id` int(11) NOT NULL AUTO_INCREMENT,
              `group_id` int(11) NOT NULL,
              `access` tinyint(1) NOT NULL,
              PRIMARY KEY (`id`)) ENGINE=" . $config['db_engine'] . " DEFAULT CHARSET=utf8");
$result = run_query("SELECT `id` FROM `" . $config['table_prefix'] . "groups`");
while ($row = mysqli_fetch_assoc($result)) {
    run_query("INSERT INTO `" . $config['table_prefix'] . "acc_messages` (`group_id`, `access`) VALUES (" . intval($row['id']) . ", 1)");
}
?>